import { joinURL, withLeadingSlash } from "ufo";
import { createQuery } from "../query/query.mjs";
import { contentApiWithParams } from "./utils.mjs";
import { useHead } from "#app";
const queryFetch = (params) => {
  const path = contentApiWithParams("/query", params);
  if (process.server) {
    useHead({
      link: [
        { rel: "prefetch", href: path }
      ]
    });
  }
  return $fetch(path);
};
export function queryContent(slug, ...slugParts) {
  const body = {
    slug: withLeadingSlash(joinURL(slug, ...slugParts))
  };
  return createQuery(queryFetch, body);
}
