import { fromByteArray } from "base64-js";
import { withBase } from "ufo";
import { unwrap, flatUnwrap } from "../markdown-parser/utils/node.mjs";
import { useRuntimeConfig } from "#app";
const toByteArray = (s) => new Uint8Array(s.length).map((_, i) => s[i].charCodeAt(0));
const encodeParams = (params = {}) => {
  return fromByteArray(toByteArray(JSON.stringify(params))).replace(/\+/g, ".").replace(/\//g, "-");
};
export const withContentBase = (url) => withBase(url, "/api/" + useRuntimeConfig().public.content.base);
export const contentApiWithParams = (url, params) => {
  return withContentBase(`${url}/${encodeParams(params)}`);
};
export const useUnwrap = () => ({
  unwrap,
  flatUnwrap
});
