export default function(_options) {
  function parseAsJSON(node, parent) {
    if (node.type === "element") {
      const childs = [];
      if (node.tagName === "li") {
        let hasPreviousParagraph = false;
        node.children = node.children.flatMap((child) => {
          if (child.tagName === "p") {
            if (hasPreviousParagraph) {
              ;
              child.children.unshift({
                type: "element",
                tagName: "br",
                properties: {}
              });
            }
            hasPreviousParagraph = true;
            return child.children;
          }
          return child;
        });
      }
      if (node.tagName === "component-slot") {
        node.tagName = "template";
        node.content = { ...node };
      }
      const filtered = {
        type: "element",
        tag: node.tagName,
        props: node.properties,
        children: childs,
        attributes: node.attributes,
        fmAttributes: node.fmAttributes
      };
      if (node.tagName === "template") {
        const children = node.content.children;
        const templateContent = [];
        children.forEach((templateNode) => parseAsJSON(templateNode, templateContent));
        filtered.content = templateContent;
      }
      parent.push(filtered);
      if (node.children) {
        ;
        node.children.forEach((child) => parseAsJSON(child, childs));
      }
      return;
    }
    if (node.type === "text") {
      parent.push({
        type: "text",
        value: node.value
      });
      return;
    }
    if (node.type === "root") {
      ;
      node.children.forEach((child) => parseAsJSON(child, parent));
    }
  }
  this.Compiler = function(root) {
    const result = [];
    parseAsJSON(root, result);
    return {
      type: "root",
      children: result
    };
  };
}
