import matter from "gray-matter";
import flat from "flat";
export function stringifyFrontMatter(data, content = "") {
  data = flat.flatten(data, {
    safe: true
  });
  return matter.stringify(content, data);
}
export function parseFrontMatter(file) {
  const { data, content, ...rest } = matter(file, { excerpt: true, excerpt_separator: "<!--more-->" });
  const unflattenData = flat.unflatten(data || {}, {});
  return {
    content,
    data: unflattenData,
    ...rest
  };
}
