import { detab } from "detab";
import { u } from "unist-builder";
import { parseThematicBlock } from "./utils.mjs";
export default (h, node) => {
  const lang = (node.lang || "") + " " + (node.meta || "");
  const { language, highlights, filename } = parseThematicBlock(lang);
  const code = node.value ? detab(node.value + "\n") : "";
  return h(node.position, "code", {
    language,
    filename,
    highlights,
    code
  }, [h(node, "pre", {}, [h(node, "code", { ignoreMap: "true" }, [u("text", code)])])]);
};
