import * as matter from "gray-matter";
import flat from "flat";
export function stringify(data, content = "") {
  data = flat.flatten(data, {
    safe: true
  });
  return matter.stringify(content, data);
}
export function parseFrontMatter(file) {
  const { data, content, ...rest } = matter.default(file, {
    excerpt: true,
    excerpt_separator: "<!--more-->"
  });
  const unflattenData = flat.unflatten(data || {}, {});
  return {
    content,
    data: unflattenData,
    ...rest
  };
}
