import tokenizeSpan from "./tokenize-span.mjs";
import tokenizeAttribute from "./tokenize-attribute.mjs";
import tokenizeInline from "./tokenize-inline.mjs";
import tokenizeContainer from "./tokenize-container.mjs";
import tokenizeContainerIndented from "./tokenize-container-indented.mjs";
import { Codes } from "./constants.mjs";
export default function micromarkComponentsExtension() {
  return {
    text: {
      [Codes.colon]: tokenizeInline,
      [Codes.openingSquareBracket]: [tokenizeSpan],
      [Codes.openingCurlyBracket]: tokenizeAttribute
    },
    flow: {
      [Codes.colon]: [tokenizeContainer, tokenizeInline]
    },
    flowInitial: {
      "-2": tokenizeContainerIndented,
      "-1": tokenizeContainerIndented,
      [Codes.space]: tokenizeContainerIndented
    }
  };
}
