import { codeFenced } from "micromark-core-commonmark";
import { factorySpace } from "micromark-factory-space";
import { prefixSize } from "./utils.mjs";
import componentContainer from "./tokenize-container.mjs";
import { Codes } from "./constants.mjs";
function tokenize(effects, ok, nok) {
  const self = this;
  return factorySpace(effects, lineStart, "linePrefix");
  function lineStart(code) {
    if (prefixSize(self.events, "linePrefix") < 4) {
      return nok(code);
    }
    switch (code) {
      case Codes.backTick:
        return codeFenced.tokenize.call(self, effects, ok, nok)(code);
      case Codes.colon:
        return componentContainer.tokenize.call(self, effects, ok, nok)(code);
      default:
        return nok(code);
    }
  }
}
export default {
  tokenize
};
