import { createError, defineEventHandler } from "h3";
import { queryContent } from "../storage.mjs";
import { contentApiParams } from "../utils.mjs";
export default defineEventHandler(async (event) => {
  const query = contentApiParams(event);
  const contents = await queryContent(query).find();
  if (query.first && Array.isArray(contents) && contents.length === 0) {
    throw createError({
      statusMessage: "Document not found!",
      statusCode: 404,
      data: {
        description: "Could not find document for the given query.",
        query
      }
    });
  }
  return contents;
});
