import { extname } from "pathe";
import { getParser, getTransformers } from "#content/virtual/transformers";
export function parse(id, content) {
  const ext = extname(id);
  const plugin = getParser(ext);
  if (!plugin) {
    throw new Error(`No parser found for ${ext}`);
  }
  return plugin.parse(id, content);
}
export async function transform(content) {
  const ext = extname(content.id);
  const transformers = getTransformers(ext);
  const result = await transformers.reduce(async (prev, cur) => {
    const next = await prev || content;
    return cur.transform(next);
  }, Promise.resolve(content));
  return result;
}
