import { parse } from "../../markdown-parser/index.mjs";
import { useRuntimeConfig } from "#nitro";
const importPlugin = async (p) => [
  await import(p[0]).then((res) => res.default || res),
  typeof p[1] === "object" ? { ...p[1] } : p[1]
];
export default {
  name: "markdown",
  extentions: [".md"],
  parse: async (id, content) => {
    const config = { ...useRuntimeConfig().content?.markdown || {} };
    config.rehypePlugins = await Promise.all((config.rehypePlugins || []).map(importPlugin));
    config.remarkPlugins = await Promise.all((config.remarkPlugins || []).map(importPlugin));
    const parsed = await parse(content, config);
    return {
      ...parsed.meta,
      body: parsed.body,
      type: "markdown",
      id
    };
  }
};
